package com.yuandian.dataflow;

 

import com.alipay.sofa.jraft.JRaftUtils;
import com.alipay.sofa.jraft.conf.Configuration;
import com.yuandian.dataflow.statemachine.StateServerFactory;

import lombok.var;
import lombok.extern.slf4j.Slf4j;

 


/**
 * Hello world!
 *
 */
@Slf4j
public class Server {
    
    public static String peeridstr; 
    public static String sprPort; 
    public static Configuration conf ;

    public static void main(String[] args) throws Exception {
 
        String[] peers = new String[]{"localhost:4440","localhost:4441","localhost:4442"};
        String[] sprPeers = new String[]{"3440","3441","3442"};

        var peeridx = Integer.parseInt(args[0]);
        var peeridstr = peers[ peeridx ];
        var sprPort = sprPeers[ peeridx ];

        // var peeridstr = peers[2];
        // var sprPort = sprPeers[2];
        log.info("{} {}", peeridstr, sprPort);

        conf = JRaftUtils.getConfiguration(String.join(",", peers));
        StateServerFactory.startStateServer(peeridstr, conf);

        // System.setProperty("server.port", sprPort);
        // ConfigurableApplicationContext app = SpringApplication.run(Server.class, args);
        // StateServerFactory.setAppCxt(app);
        // app.addApplicationListener(new SpringReadyEvent());
        // app.start();
 
    }

     
    
 
 
}
