package com.yuandian.dataflow.projo;

 

import java.time.LocalDateTime;

import org.bson.Document;
import org.bson.codecs.pojo.annotations.BsonProperty;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Getter;
import lombok.Setter;

 
@Setter
@Getter
public final class Doc extends Document   {

    @JsonProperty("code")
    @BsonProperty("code")
    public int Code ;

    @JsonProperty("ts")
    @BsonProperty("ts")
    public LocalDateTime TS;

    @JsonProperty("desc")
    @BsonProperty("desc") 
    public String Desc;

    @JsonProperty("data")
    @BsonProperty("data") 
    public Document Data; 
 
}
